package com.bcxin.risk.report.enums;

public enum ProfessorType {

	/** 研究员*/
	PROFESSOR {public String getValue(){return "1";} public String getName(){return "研究员";}}, 
	
	/** 顾问*/
	ADVISER {public String getValue(){return "2";} public String getName(){return "顾问";} }, 
	
	/** 审核中*/
	BOTH {public String getValue(){return "5";} public String getName(){return "兼具";} }; 
	
    public abstract String getValue();
    
    public abstract String getName();
    
    public static ProfessorType convert(String value){
    	if ( "1".equals(value) ) {
    		return ProfessorType.PROFESSOR;
    	} else if ("2".equals(value)) {
    		return ProfessorType.ADVISER;
    	} else if ("5".equals(value)) {
    		return ProfessorType.BOTH;
    	} 
    	return ProfessorType.PROFESSOR;
    }
	
	
}
